// ====== LAUNCHER CONFIG ====== //
var config = {
    dir: "MythicalWorld", // Launcher directory
    title: "MythicalWorld", // Window title
    icons: [ "favicon.png" ], // Window icon paths

    // Auth config
    newsURL: "http://mythicalworld.su/", // News WebView URL
    linkText: "FoX", // Text for link under "Auth" button
    linkURL: new java.net.URL("https://mythicalworld.su/"), // URL for link under "Auth" button
    
    // URLs for minecraft tops (Nik)
    topcraftURL: new java.net.URL("http://topcraft.ru/servers/5323/"),
    MinecraftRatingURL: new java.net.URL("http://minecraftrating.ru/projects/mythicalworld/"),
    mctopURL: new java.net.URL("http://mctop.su/vote/1654"),

    // Settings defaults
    settingsMagic: 0xC0DE5, // Ancient magic, don't touch
    autoEnterDefault: false, // Should autoEnter be enabled by default?
    fullScreenDefault: false, // Should fullScreen be enabled by default?
    ramDefault: 1536, // Default RAM amount (0 for auto)
};

// ====== DON'T TOUCH! ====== //
var dir = IOHelper.HOME_DIR.resolve(config.dir);
/*if (JVMHelper.OS_TYPE == JVMHelperOS.MUSTDIE) {
    dir = IOHelper.HOME_DIR_WIN.resolve(config.dir);
}*/
if (!IOHelper.isDir(dir)) {
    java.nio.file.Files.createDirectory(dir);
}
var defaultUpdatesDir = dir.resolve("clients");
if (!IOHelper.isDir(defaultUpdatesDir)) {
    java.nio.file.Files.createDirectory(defaultUpdatesDir);
}
